Bug 206577 - Invalid date syntax in at command not detected
Invalid date syntax in at command not detected
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: at (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 23:52 EDT by Major
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 08:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Major 2006-09-14 23:52:54 EDT
Description of problem:
  [I discovered this because I did not realize that using "date" format
  dates in at required the "-t" switch; it is however a bug in its own
  right I believe]

  For for invalid date syntaxes in the at, the syntax error is not
  reported but instead the job is submitted for bogus date/time

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. type "at 10150102"

  
Actual results:

  job scheduled for 2002-10-15 13:34

Expected results:

  (I incorrectly expected) "job 2 at 2006-10-15 01:02"

  (having read the manual, I now expect) "Garbled time"

Additional info:
Comment 1 Marcela Mašláňová 2006-09-15 05:01:32 EDT
Hello,
which version do you have? Please upgrade on the highest at-3.1.8-80_EL4.

If I give "at 10150602", it'll return "Garbled time" -> correct.
If I give "at 10150102" then returns prompt "at>" -> incorrect.

I work on new version from upstream at-3.1.10 and here will be instead prompt 
message "refusing to create job destined in the past".

I'll propose for adding patch for this problem.
Comment 2 Marcela Mašláňová 2007-05-10 08:47:56 EDT
Inactive more than six months -> closing.
If your problem is still occuring, please feel free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.